View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007035ParaView(No Category)public2008-05-15 17:442009-05-13 13:59
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0007035: Filters don't work on the 2d window
DescriptionFilters don't seem to work on the 2d window.
* ParaView, XP, trunk.
* Bring up a mandlebrot source.
* Normally, you would close the 3d window, but don't for this example.
* Threshold, change lower threshold to 4, apply. You see nothing.
* Select the 3d window, turn eyeball on. At least you now see something. Colors are wrong.
* Rescale to Data Range. NOW you finally see something. This should have occurred in the 2d window.

Same problem for clipping, and I would assume, others.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012023)
Ken Moreland (manager)
2008-05-20 09:33

The result of the Threshold cannot be shown in the 2D view because it is an unstructured grid. The 2D view only works with 2D image data. However, ParaView should create a view in which it can be seen using the standard incompatible view type rules.
(0012165)
Utkarsh Ayachit (administrator)
2008-05-30 13:47

If I remember correctly, we never create a 3D view unless the active view is blank. eg. Apply histogram -- with bar chart view selected, create a sphere source -- we don't create a new 3D view for the sphere. Don't remember why we decided to do that. Should that behaviour change? Should we always create a new 3D view if the new source cannot be shown in the current view?
(0012172)
Ken Moreland (manager)
2008-05-30 16:58

I'm not sure if that was a conscious decision or just how things came out. I went back and scanned the original design document (http://www.paraview.org/ParaView3/index.php/New_Object_View [^]) and did not see anything specific to 3D views. Rather, the rules for new views are specifically generic. I see no reason why 3D views should deviate from them.
(0012175)
Utkarsh Ayachit (administrator)
2008-05-31 11:02

If the active cannot show the current data and there's no preferred view type defined, then we create a new 3D view to show it.


/cvsroot/ParaView3/ParaView3/Qt/Core/pqDisplayPolicy.cxx,v <-- Qt/Core/pqDisplayPolicy.cxx
new revision: 1.37; previous revision: 1.36
/cvsroot/ParaView3/ParaView3/Qt/Core/pqDisplayPolicy.h,v <-- Qt/Core/pqDisplayPolicy.h
new revision: 1.10; previous revision: 1.9
(0012187)
Alan Scott (manager)
2008-06-02 16:30

Acceptable solution.

Tested client/server.

- Issue History
Date Modified Username Field Change
2008-05-15 17:44 Alan Scott New Issue
2008-05-20 09:31 Ken Moreland Status backlog => tabled
2008-05-20 09:31 Ken Moreland Assigned To => Utkarsh Ayachit
2008-05-20 09:33 Ken Moreland Note Added: 0012023
2008-05-30 13:47 Utkarsh Ayachit Note Added: 0012165
2008-05-30 16:58 Ken Moreland Note Added: 0012172
2008-05-31 11:02 Utkarsh Ayachit Status tabled => @80@
2008-05-31 11:02 Utkarsh Ayachit Resolution open => fixed
2008-05-31 11:02 Utkarsh Ayachit Note Added: 0012175
2008-06-02 16:30 Alan Scott Status @80@ => closed
2008-06-02 16:30 Alan Scott Note Added: 0012187
2009-05-13 13:58 Utkarsh Ayachit Target Version => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker